How To Use The Intel Linux Graphics Drivers Repository In Ubuntu-Based Linux Distributions (Linux Mint, Etc.)

The Intel Linux Graphics Installer only supports Ubuntu 12.10 and 12.04 (and Fedora), and even though the drivers should work on other Ubuntu-based Linux distributions like Linux Mint, the installer doesn't work and the Intel repository isn't added automatically.
But you can still upgrade the drivers to the latest version available in the Intel repository that comes with the Intel Linux Graphics Installer, even if you use an Ubuntu-based Linux distribution such as Linux Mint, by manually adding the repository. Read on!